// Variable globale pour la template d'un cours
var tmplCours;

$(function () {
    // clonage de la template
    tmplCours = $(".templateCours").clone().removeClass("templateCours");
    // #horaire est "triable"
    $("#horaire").tablesorter();
    // Lors d'un update des données on mets une class CSS sur les lignes impairs
    $("#horaire").on("update", function () {
        $("#horaire tbody tr").removeClass("odd");
        $("#horaire tbody tr:odd").addClass("odd");
    });
    // Lors du click sur un des boutons de cours, on charge les data via AJAX
    $("#POO, #ProgCl").on("click", loadXmlHoraire);
})

function loadXmlHoraire() {
    var cours = $(this).attr("id");
    // On utilise un proxy pour contourner le problème de Same Origin Policy
    $.get("proxy.php", {"cours": cours} , function (domHoraire) {
        // Les cours sont dans la balise <ScheduleEntity> du XML des horaires
        var cours = $("ScheduleEntity", domHoraire);
        $("#horaire tbody").empty();
        // Boucle sur les cours pour l'insertion dans le DOM de la page
        cours.each(addCoursData);
        // On indique au plugin tablesorter que les données ont changées
        $("#horaire").trigger("update")
    });
}

function addCoursData(i, cours) {
    // Récupère les données dans le DOM d'un cours
    var date = $("Date", cours).text().substr(0, 10);
    var period = $("Period", cours).text();
    var room = $("Room", cours).text();
    // Clonage de la template et insertion des données dans les bons éléments DOM
    var clone = tmplCours.clone();
    $(".date", clone).text(date);
    $(".period", clone).text(period);
    $(".room", clone).text(room);
    clone.appendTo("#horaire tbody");
}